\documentclass[a4paper]{article}
    \usepackage{fullpage}
    \usepackage{amsmath}
    \usepackage{amssymb}
    \usepackage[T1]{fontenc}
    \usepackage{textcomp}
	\usepackage{lmodern}
	\usepackage{microtype}
    \usepackage[utf8]{inputenc}
    \textheight=8in
    \pagestyle{empty}
    \raggedright
    \usepackage[left=0.6in,right=0.6in,bottom=0.6in,top=0.6in]{geometry}

    %\renewcommand{\encodingdefault}{cg}
%\renewcommand{\rmdefault}{lgrcmr}

\def\bull{\vrule height 0.8ex width .7ex depth -.1ex }

% DEFINITIONS FOR RESUME %%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\area} [2] {
    \vspace*{-9pt}
    \begin{verse}
        \textbf{#1}   #2
    \end{verse}
}

\newcommand{\lineunder} {
    \vspace*{-8pt} \\
    \hspace*{-18pt} \hrulefill \\
}

\newcommand{\header} [1] {
    {\hspace*{-18pt}\vspace*{6pt} \textsc{#1}}
    \vspace*{-6pt} \lineunder
}

\newcommand{\employer} [3] {
    { \textbf{#1} (#2)\\ \underline{\textbf{\emph{#3}}}\\  }
}

\newcommand{\contact} [3] {
    \vspace*{-10pt}
    \begin{center}
        {\Huge \scshape {#1}}\\
        #2 \\ #3
    \end{center}
    \vspace*{-8pt}
}

\newenvironment{achievements}{
    \begin{list}
        {$\bullet$}{\topsep 0pt \itemsep -2pt}}{\vspace*{4pt}
    \end{list}
}

\newcommand{\schoolwithcourses} [4] {
    \textbf{#1} #2 $\bullet$ #3\\
    #4 \\
    \vspace*{5pt}
}

\newcommand{\school} [4] {
    \textbf{#1} #2 $\bullet$ #3\\
    #4 \\
}
% END RESUME DEFINITIONS %%%%%%%%%%%%%%%%%%%%%%%

\begin{document}
\vspace*{-40pt}



%==== Profile ====%
\vspace*{-10pt}
\begin{center}
	{\Huge \scshape {Harrison Kim}}\\
	Atlanta, GA $\cdot$ hello@harrison.kim $\cdot$ 4047046851 $\cdot$ www.harrison.kim\\
\end{center}

%==== Experience ====%
\header{Experience}
\vspace{1mm}

\textbf{Rippling} \hfill Atlanta, GA\\
\textit{Staff Software Engineer} \hfill Aug 2022 - Present\\
\vspace{-1mm}
\begin{itemize} \itemsep -2pt
	\item Led the Container sub-team within the Compute Infrastructure team, managing the uptime of our EKS clusters and all services running within them
	\item Implemented a proxy to establish connection pooling for MongoDB and DocumentDB databases, significantly reducing the number of connections made to databases by 80\% to 95\%
	\item Took part of an oncall rotation that assumes SRE tasks to triage alerts and coordinate with product teams to minimize customer impact and ensure system stability
	\item Led the initiative to convert all containerized services to be managed via ArgoCD using the App of Apps pattern, enforcing GitOps principles to mitigate drift and refining our approach to blue/green upgrades
	\item Rearchitected secrets management for the whole organization through the use of External Secrets, dynamically reloading new configuration and secret updates within multiple Kubernetes clusters
	\item Standardized Kubernetes and Helm best practices and utilized genericized charts and libraries to improve the developer experience when provisioning new microservices
	\item Utilized Datadog to create dashboards, alerts, and monitors to ensure proper visibility and alerting
	\item Managed Terraform using Terragrunt and Atlantis, coordinating with InfraSec and  product teams to provision infrastructure across multiple AWS accounts
	\item Implemented Terraform modules that follow the principle of least-privileged access, creating a streamlined interface while abstracting underlying complexities
	\item Mentored junior engineers by providing guidance on technical challenges and fostering growth through career development opportunities
\end{itemize}
\vspace{-1mm}
\textbf{1build} \hfill Atlanta, GA\\
\textit{Site Reliability Engineer} \hfill Dec 2021 - Aug 2022\\
\vspace{-1mm}
\begin{itemize} \itemsep -2pt
	\item Ensured high availability of production clusters by leveraging Prometheus and Grafana for comprehensive monitoring on system performance and reliability
	\item Orchestrated service deployments through the integration of GitHub Actions for CI and Flux for CD
	\item Optimized OpenSearch autocomplete functionality, significantly improving search response times and relevance
	\item Implemented automated testing procedures using Playwright, ensuring rigorous validation of functionality post-deployments
\end{itemize}
\vspace{-1mm}
\textbf{Flock Safety} \hfill Atlanta, GA\\
\textit{DevOps Engineer} \hfill Feb 2019 - Dec 2021\\
\vspace{-1mm}
\begin{itemize} \itemsep -2pt
	\item First DevOps engineer, single-handedly managing CI/CD processes, infrastructure, and site reliability for the initial two years
	\item Implemented the usage of ARM and spot instances, reducing approximately 65\% on infrastructure costs
	\item Helped scale a high throughput realtime processing system, averaging \textasciitilde100\ million daily images
	\item Created dynamic dashboards on Grafana utilizing Prometheus and Kubernetes metrics to ensure proper alerting and high uptime of our production system
	\item Introduced Terraform and standardized its usage to provision in-house modules with best practices, ensuring that infrastructure operations were always codified
	\item Containerized and migrated all services from ElasticBeanstalk to Kubernetes with no downtime
	\item Introduced Helm charts and implemented best practices for services deployed into our Kubernetes clusters
	\item Standardized the CI/CD process in Jenkins and implemented automation to streamline the creation of pipelines used by \textasciitilde100\ microservices, yielding frictionless deployments with fast rollback capabilities to reduce MTTR when errors occurred
\end{itemize}
\vspace{-1mm}
\textbf{Tin Roof Software} \hfill Atlanta, GA\\
\textit{DevOps Engineer} \hfill May 2018 - Feb 2019\\
\vspace{-1mm}
\begin{itemize} \itemsep -2pt
	\item Managed the deployment, configuration, and uptime for the Catalog service for our client NCR
	\item Migrated automation of infrastructure from Chef to Kubernetes on GKE
	\item Automated the configuration of applications using infrastructure as code with Chef
\end{itemize}
\vspace{-1mm}
\textbf{GE Digital} \hfill Atlanta, GA\\
\textit{Site Reliability Engineer} \hfill May 2017 - May 2018\\
\vspace{-1mm}
\begin{itemize} \itemsep -2pt
	\item Implemented a CI/CD Pipeline to create a bi-directional relationship for updating scripts within New Relic monitors and GitHub
	\item Created a distributed build model using Jenkins master/slave nodes on Scalr to implement GUI automation tests using Sikuli
	\item Utilized New Relic API calls and NRQL queries within an automated Jenkins job to disable consistently failing monitors, reducing private minion workloads by approximately 49\%
\end{itemize}
\vspace{-1mm}
\textbf{Macy\textquotesingle{}s Systems and Technology} \hfill Atlanta, GA\\
\textit{DevOps Engineer} \hfill Jan 2017 - Apr 2017\\
\vspace{-1mm}
\begin{itemize} \itemsep -2pt
	\item Wrote Jenkinsfiles to create pipelines for executing Maven builds and run tests
	\item Automated the post-build process of emailing Serenity reports to developers
\end{itemize}
\vspace{-1mm}
\textbf{The Home Depot} \hfill Atlanta, GA\\
\textit{IT Developer Intern} \hfill May 2016 - Jul 2016\\
\vspace{-1mm}
\begin{itemize} \itemsep -2pt
	\item Used Ruby on Rails for development of RESTful APIs in the Rental Toolbox web application
	\item Implemented the Test Driven Development process using RSpec, Capybara, and Jasmine to create test suites to serve as regression tests
\end{itemize}
\vspace{-1mm}
\textbf{Partner Software} \hfill Athens, GA\\
\textit{Software Development Intern} \hfill May 2015 - Dec 2016\\
\vspace{-1mm}
\begin{itemize} \itemsep -2pt
	\item Revised Python scripts to Groovy, eliminating legacy code and improving efficiency
	\item Developed a date-time picker application using JavaScript and jQuery for client use
\end{itemize}
\vspace{-1mm}

%==== Certifications ====%
\header{Certifications}
\begin{tabular}{ l l }
	\textbf{Kubernetes} & Certified Kubernetes Security Specialist, Certified Kubernetes Administrator \\
	\textbf{AWS}        & AWS Certified Solutions Architect - Associate                                \\
	\textbf{Chef}       & Basic Chef Fluency Badge                                                     \\
\end{tabular}
\vspace*{2mm}

%==== Skills ====%
\header{Skills}
\begin{tabular}{ l l }
	\textbf{Languages}      & Python, Typescript, Go, Bash, Java                                 \\
	\textbf{Cloud}          & AWS, GCP, Digital Ocean                                            \\
	\textbf{Infrastructure} & Kubernetes, Docker, Helm, Terraform, Terragrunt, Cloudflare        \\
	\textbf{CI/CD}          & Jenkins, Github Actions, Buildkite, ArgoCD, FluxCD                 \\
	\textbf{Monitoring}     & Prometheus, Grafana, Loki, New Relic, Datadog                      \\
	\textbf{Databases}      & PostgreSQL, Elasticsearch, Redis, DynamoDB, Amazon Aurora, MongoDB \\
	\textbf{Testing}        & Playwright, Puppeteer, Selenium WebDriver, New Relic Synthetics    \\
\end{tabular}
\vspace{2mm}

%==== Education ====%
\header{Education}
\textbf{University of Georgia}\hfill Athens, GA\\
Bachelor of Science in Computer Science \hfill 2012 - 2016\\
\vspace{2mm}

\
\end{document}
